## pandas 0.19.2

=== debian/changelog ===
pandas (0.19.2-5.1ubuntu4~cloud0) xenial-pike; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 05 Sep 2017 12:06:45 +0000

pandas (0.19.2-5.1ubuntu4) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:21:55 +0000

pandas (0.19.2-5.1ubuntu3) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 18:39:37 +0000

pandas (0.19.2-5.1ubuntu2) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Jun 2017 16:27:25 -0700

pandas (0.19.2-5.1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/rules: Add test_abs to skip on non-amd64 arches. 

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Apr 2017 18:34:42 +0200

pandas (0.19.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch by Rebecca N. Palmer
    Closes: #858260

 -- Andreas Tille <tille@debian.org>  Sun, 02 Apr 2017 07:06:36 +0200

pandas (0.19.2-5ubuntu1) zesty; urgency=medium

  * d/rules: Add test_abs to skip on non-amd64 arches. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 17:49:39 -0500

pandas (0.19.2-5) unstable; urgency=medium

  * And one more test to skip on non-amd64 -- test_round_trip_valid_encodings

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2017 13:10:11 -0500

pandas (0.19.2-4) unstable; urgency=medium

  * Exclude few more "plotting" tests on non-amd64 which cause FTBFS
    on s390

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2017 11:43:13 -0500

pandas (0.19.2-3) unstable; urgency=medium

  * Brought back changeset_0699c89882133a41c250abdac02796fec84512e8.diff
    which should resolve tests failures on BE platforms (wasn't yet
    upstreamed within 0.19.x releases)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 12 Jan 2017 09:44:52 -0500

pandas (0.19.2-2) unstable; urgency=medium

  * Exclude a number of tests while running on non-amd64 platforms
    due to bugs in numpy/pandas

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 11 Jan 2017 12:13:05 -0500

pandas (0.19.2-1) unstable; urgency=medium

  * Fresh upstream minor release -- supposed to be bugfix but interacts
    with current beta (1:1.12.0~b1-1) numpy leading to various failed tests
  * debian/patches
    - changeset_ae6a0a51cf41223394b7ef1038c210045d486cc8.diff
      to guarantee the same Series dtype as of cut regardless of architecture
    - up_buggy_overflows
      workaround for inconsistent overflows while doing pow operation on big
      ints
  * debian/rules
    - exclude more tests which are due to known issues in numpy beta and thus
      not to be addressed directly in pandas

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 04 Jan 2017 10:19:52 -0500

pandas (0.19.1+git174-g81a2f79-1) experimental; urgency=medium

  * New upstream snapshot from v0.19.0-174-g81a2f79
    - lots of bugfixes since 0.19.1, so decided to test snapshot

 -- Yaroslav Halchenko <debian@onerussian.com>  Sat, 10 Dec 2016 22:43:19 -0500

pandas (0.19.1-3) unstable; urgency=medium

  * Require cython >= 0.23 or otherwise use pre-cythoned sources
    (should resolve https://github.com/pandas-dev/pandas/issues/14699
    on jessie)
  * debian/control
    - Build-Conflicts with python-tables 3.3.0-4 since that one leads to FTBFS
    - boosted policy to 3.9.8
  * debian/rules
    - Exclude few more tests which fail on big endian and other platforms
      test_(msgpack|read_dta18)
  * debian/patches
    - changeset_0699c89882133a41c250abdac02796fec84512e8.diff
      to compare in the tests against native endianness

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 09 Dec 2016 15:49:50 -0500

pandas (0.19.1-2) unstable; urgency=medium

  * debian/control
    - Moved statsmodels build-depend (optional) under build-depends-indep
      to break circular dependency.  Thanks Stuart Prescott for the analysis
  * debian/patches/
    - changeset_1309346c08945cd4764a549ec63cf51089634a45.diff
      to not mask problem reading json leading to use of undefined variable

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Nov 2016 21:49:40 -0500
