=== debian/control ===
Source: pandas
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7.0.50),
               python-all-dev (>= 2.5),
               python-setuptools,
               cython,
               python-numpy (>= 1:1.7~), python-dateutil,
               python-scipy,
               python-tz,
               python-tables [!m68k !sh4 !x32],
               python-sphinx (>= 1.0~),
               python-nose,
               python-matplotlib [!hurd-i386],
               python-tk,
               python-openpyxl, python-xlwt, python-xlrd,
               python-bs4,
               python-html5lib,
               python-six,
               python-lxml,
               python-html5lib,
               python3-all-dev,
               python3-setuptools,
               cython3 (>= 0.17.1~) | cython (<< 0.17.1~),
               python3-numpy (>= 1:1.7~), python3-dateutil,
               python3-scipy,
               python3-tz,
               python3-sphinx (>= 1.0~),
               python3-nose,
               python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
               python3-tk,
               python3-bs4,
               python3-six,
               python3-lxml,
               python3-html5lib,
               python3-tables [!m68k !sh4 !x32],
               xvfb, xauth, xclip,
Build-Depends-Indep:
 ipython (>= 0.12) | ipython2x | ipython1x,
 python-statsmodels [!arm64 !ppc64el !sparc64 !mips64el !ppc64 !sparc64 !sh4],
Build-Conflicts: python-tables (= 3.3.0-4), python3-tables (= 3.3.0-4)
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Standards-Version: 3.9.8
Homepage: http://pandas.sourceforge.net
Vcs-Browser: http://github.com/neurodebian/pandas
Vcs-Git: git://github.com/neurodebian/pandas.git
XS-Testsuite: autopkgtest

Package: python-pandas
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
         python-numpy (>= 1:1.7~),
         python-dateutil,
         python-pandas-lib(>= ${source:Version}),
         python-pkg-resources,
         python-six,
Recommends: python-scipy,
            python-matplotlib,
            python-tables,
            python-numexpr,
            python-tz,
            python-xlrd,
            python-statsmodels,
            python-openpyxl, python-xlwt, python-xlrd,
            python-bs4,
            python-html5lib,
            python-lxml,
            python-html5lib,
Provides: ${python:Provides}
Suggests: python-pandas-doc
Description: data structures for "relational" or "labeled" data
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the Python 2 version.

Package: python3-pandas
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
         python3-numpy (>= 1:1.7~),
         python3-dateutil,
         python3-pandas-lib(>= ${source:Version}),
         python3-pkg-resources,
         python3-six,
Recommends: python3-scipy,
            python3-matplotlib,
            python3-numexpr,
            python3-tables,
            python3-tz,
            python3-bs4,
            python3-html5lib,
            python3-six,
            python3-lxml,
            python3-html5lib,
Suggests: python-pandas-doc
Description: data structures for "relational" or "labeled" data - Python 3
 pandas is a Python package providing fast, flexible, and expressive
 data structures designed to make working with "relational" or
 "labeled" data both easy and intuitive. It aims to be the fundamental
 high-level building block for doing practical, real world data
 analysis in Python. pandas is well suited for many different kinds of
 data:
 .
  - Tabular data with heterogeneously-typed columns, as in an SQL
    table or Excel spreadsheet
  - Ordered and unordered (not necessarily fixed-frequency) time
    series data.
  - Arbitrary matrix data (homogeneously typed or heterogeneous) with
    row and column labels
  - Any other form of observational / statistical data sets. The data
    actually need not be labeled at all to be placed into a pandas
    data structure
 .
 This package contains the Python 3 version.

Package: python-pandas-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, libjs-jquery
Suggests: python-pandas
Description: documentation and examples for pandas
 This package contains documentation and example scripts for
 python-pandas.

Package: python-pandas-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: low-level implementations and bindings for pandas
 This is an add-on package for python-pandas providing
 architecture-dependent extensions.
 .
 This package contains the Python 2 version.

Package: python3-pandas-lib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
Description: low-level implementations and bindings for pandas - Python 3
 This is an add-on package for python-pandas providing
 architecture-dependent extensions.
 .
 This package contains the Python 3 version.
