## pandas 0.20.3

=== debian/changelog ===
pandas (0.20.3-10) unstable; urgency=medium

  * Team upload.
  * Exclude more tests failing on mips, armhf and powerpc

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2017 21:26:02 +0200

pandas (0.20.3-9) unstable; urgency=medium

  * Team upload.
  * Add missing "import pytest" to two patched tests
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2017 08:18:54 +0200

pandas (0.20.3-8) unstable; urgency=medium

  * Team upload.
  * Exclude one more test and de-activate non-working ignore of test errors

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 21:32:24 +0200

pandas (0.20.3-7) unstable; urgency=medium

  * Team upload.
  * debhelper 9
  * Use Debian packaged mathjax
  * Do not Recommends python3-six since it is mentioned in Depends
  * Remove redundant/outdated XS-Testsuite: autopkgtest
  * Exclude one more test and de-activate non-working ignore of test errors

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 17:33:55 +0200

pandas (0.20.3-6) unstable; urgency=medium

  * Team upload.
  * Ignore test errors on some architectures
    (Concerns bug #877419)
  * Remove __pycache__ remainings from testing
  * Standards-Version: 4.1.1
  * DEP3 for Google Analytics patch
  * Complete Google Analytics patch

 -- Andreas Tille <tille@debian.org>  Mon, 23 Oct 2017 09:05:27 +0200

pandas (0.20.3-5) unstable; urgency=medium

  * Make sure remainings of nose tests will not fail. That's a pretty stupid
    patch since the tests are not using nose any more only some remaining
    exceptions.  Hope it will work anyway.
    (Concerns bug #877419)

 -- Andreas Tille <tille@debian.org>  Mon, 16 Oct 2017 21:57:45 +0200

pandas (0.20.3-4) unstable; urgency=medium

  * Mark those tests @pytest.mark.intel that pass only on Intel architectures
  * d/rules: try to exclude tests that were marked "intel"
    (Concerns bug #877419)

 -- Andreas Tille <tille@debian.org>  Sat, 14 Oct 2017 19:49:01 +0200

pandas (0.20.3-3) unstable; urgency=medium

  * Team upload.
  * Moved packaging from pkg-exppsy to Debian Science
  * Exclude certain tests on certain architectures
    (Concerns bug #877419)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2017 20:52:53 +0200

pandas (0.20.3-2) unstable; urgency=medium

  * debian/control
    - boosted policy to 4.0.0 (I think we should be ok)
    - drop statsmodels from build-depends to altogether avoid the circular
      build-depends (Closes: #875805)
  * Diane Trout:
    - Add dateutil-2.6.1-fixed-ambiguous-tz-dst-be.patch (Closes: #875807)

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 21 Sep 2017 16:11:29 -0400

pandas (0.20.3-1) unstable; urgency=medium

  * Fresh upstream release
  * debian/patches
    - updated some, removed changeset*, and disabled possibly fixed upstream
      ones
  * debian/{control,rules}
    - upstream switched to use pytest instead of nose
    - enabled back all the tests for now
    - added python-nbsphinx for b-depends, needed for docs
  * debian/*.install
    - no .so at the first level of subdirectories, now present on the third

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 10 Jul 2017 20:00:59 -0400
