=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
-Build-Depends: debhelper (>= 7.0.50),
+Build-Depends: debhelper (>= 9),
                python-all-dev (>= 2.5),
                python-setuptools,
                cython,
@@ -13,7 +12,9 @@
                python-tz,
                python-tables [!m68k !sh4 !x32],
                python-sphinx (>= 1.0~),
+               python-nbsphinx,
                python-nose,
+               python-pytest,
                python-matplotlib [!hurd-i386],
                python-tk,
                python-openpyxl, python-xlwt, python-xlrd,
@@ -30,6 +31,7 @@
                python3-tz,
                python3-sphinx (>= 1.0~),
                python3-nose,
+               python3-pytest,
                python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
                python3-tk,
                python3-bs4,
@@ -40,15 +42,13 @@
                xvfb, xauth, xclip,
 Build-Depends-Indep:
  ipython (>= 0.12) | ipython2x | ipython1x,
- python-statsmodels [!arm64 !ppc64el !sparc64 !mips64el !ppc64 !sparc64 !sh4],
 Build-Conflicts: python-tables (= 3.3.0-4), python3-tables (= 3.3.0-4)
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://pandas.sourceforge.net
-Vcs-Browser: http://github.com/neurodebian/pandas
-Vcs-Git: git://github.com/neurodebian/pandas.git
-XS-Testsuite: autopkgtest
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pandas.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pandas.git
 
 Package: python-pandas
 Architecture: all
@@ -107,7 +107,6 @@
             python3-tz,
             python3-bs4,
             python3-html5lib,
-            python3-six,
             python3-lxml,
             python3-html5lib,
 Suggests: python-pandas-doc
@@ -134,7 +133,9 @@
 Package: python-pandas-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, libjs-jquery
+Depends: ${misc:Depends},
+         libjs-jquery,
+         libjs-mathjax
 Suggests: python-pandas
 Description: documentation and examples for pandas
  This package contains documentation and example scripts for
