=== debian/rules ===
--- 
+++ 
@@ -24,25 +24,23 @@
 
 MIN_CYTHONVER = 0.23
 
-ifneq ($(DEB_HOST_ARCH),amd64)
-	# obtained by   grep -e 'ERROR:' -e 'FAIL:' pandas-sid.log |awk '{print $2;}' | sed -e 's,^test,,g' | tr '\n' '|'
-	# on log of failed tests on mips build box on pandas 0.19.2-1
-	# Majority of them is probably due to a bug in NumPy https://github.com/numpy/numpy/issues/8325
-	# of incorrectly treating NaT on non-amd64 platforms
-	# So for stretch release for now disabling those tests on non-amd64
-    # plot ones are excluded due to seems to be a bug in matplotlib which shows up
-    # on s390
-	EXCLUDE_TESTS_ARCH := --exclude 'test(_frame_from_json_to_json|_misc_example|ArrayNumpyLabelled|DataFrameNumpyLabelled|_resample_timedelta_values|_timestamp_compare|_where_timedelta|ArrayNumpyExcept|_resample_datetime_values|_NaT_cast|_where_datetime|_where_datetime|_datetimelikes_nan|_value_counts_normalized|_agg_dict_parameter_cast_result_dtypes|_boxplot|_boxplot_vertical|_errorbar_plot|_hist_df|_line_area_stacked|_plot|_round_trip_valid_encodings|_abs)'
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), arm64 armel armhf mips mips64el mipsel s390x alpha hppa powerpc ppc64))
+	# EXCLUDE_TESTS_ARCH := --exclude 'test(test_value_counts_normalized|test_resample_timedelta_values|test_resample_datetime_values|test_datetimelikes_nan|test_where_datetime|test_timestamp_compare|test_agg_dict_parameter_cast_result_dtypes|test_NaT_cast|test_where_datetime|test_where_timedelta)'
+	# unfortunately this leads to:
+	#	pytest.py: error: unrecognized arguments: --exclude
+	EXCLUDE_TESTS_ARCH := -m "not intel"
 else
 	EXCLUDE_TESTS_ARCH :=
 endif
 
 # Some unittests might need to be excluded for different Python versions
-EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|searchsorted_sorter|sparse_max_row|msgpack|read_dta18|integer_panel|mixed_arithmetic|binary_ops|import_google_api_python_client|to_hdf_with_object_column_names)'
+# EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|searchsorted_sorter|sparse_max_row|msgpack|read_dta18|integer_panel|mixed_arithmetic|binary_ops|import_google_api_python_client|to_hdf_with_object_column_names)'
+EXCLUDE_TESTS := 
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
 #--exclude "test_bootstrap_plot"
-EXCLUDE_TESTS3.3 := --exclude 'test_(to_latex_filename|expressions)'
+EXCLUDE_TESTS3.3 := 
+# EXCLUDE_TESTS3.3 := --exclude 'test_(to_latex_filename|expressions)'
 
 #--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
 EXCLUDE_TESTS3.4 := $(EXCLUDE_TESTS3.3)
@@ -117,8 +115,8 @@
 	export PYTHONPATH=`/bin/ls -d $$PWD/debian/tmp/usr/lib/python$$PY/*/`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	python$* ci/print_versions.py; \
-    cd build/; LC_ALL=C.UTF-8 xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-      python$* /usr/bin/nosetests -s -v -A 'not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) $(EXCLUDE_TESTS_ARCH) pandas;
+    cd build/; LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
+      python$* -m pytest -s -v -m 'not single and not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) $(EXCLUDE_TESTS_ARCH) $$PYTHONPATH/pandas;
 else
 	: # Skip unittests due to nocheck
 endif
@@ -139,8 +137,9 @@
 	#TODO -rm doc/_build/html/_static/jquery.js
 	dh_installdocs -A *.md
 
-#override_dh_installchangelogs:
-#	dh_installchangelogs doc/whats_new.rst
+override_dh_install:
+	dh_install
+	find debian -name __pycache__ | xargs rm -rf
 
 ## remove .so libraries from main package, and call dh_numpy*
 ## while removing 2 if not present
@@ -156,3 +155,9 @@
 ## immediately useable documentation and exemplar scripts/data
 override_dh_compress:
 	dh_compress -X.py -X.html -X.pdf -X.css -X.jpg -X.txt -X.js -X.json -X.rtc -Xobjects.inv
+
+# This has no effect at all since the tests are run in binary-arch instead of auto_test ...
+#ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH),  armhf mips s390x hppa powerpc ppc64 sparc64))
+#override_dh_auto_test:
+#	dh_auto_test || true
+#endif
