=== debian/changelog ===
pandas (0.22.0-4ubuntu1) bionic; urgency=medium

  * d/p/mark_tests_working_on_intel_armhf.patch: Backport additional patch
    updates from Ubuntu Eoan package to enable successful armhf build
    (LP: #1861148).
  * d/p/troubleshoot-CI-29294.patch: Partial cherry-pick from upstream master
    that fixes test_null_byte_char failure (LP: #1861124).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Jan 2020 08:55:02 -0500

pandas (0.22.0-4) unstable; urgency=medium

  * Team upload
  * Fix more tests expecting little-endian results
  * Fix heap corruption in read_csv on 32-bit, big-endian architectures
    (Closes: #895890)

 -- Graham Inggs <ginggs@debian.org>  Sun, 22 Apr 2018 21:48:27 +0000

pandas (0.22.0-3) unstable; urgency=medium

  * Team upload
  * Refresh and re-enable mark_tests_working_on_intel.patch
  * Fix test__get_dtype tests expecting little-endian results

 -- Graham Inggs <ginggs@debian.org>  Thu, 12 Apr 2018 11:04:21 +0000

pandas (0.22.0-2) unstable; urgency=medium

  * debian/patches 
    - as upstream moved over to pytest from nose, no more nose imports were
      in the code. Just adjusted patches to import nose where needed
  * debian/rules
    - specify LC_ALL=C locale to avoid crash while building docs
    - add the 0001-TST-pytest-deprecation-warnings-GH17197-17253-reversed.patch
      to the series if building on a system with an old pytest

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Feb 2018 23:44:58 -0500

pandas (0.22.0-1) unstable; urgency=medium

  * Upstream release
  * debian/patches
    - refreshed many
    - updated some
    - added
      - up_moto_optional  to skip tests requiring moto (#777089)
      - deb_skip_difffailingtests to skip  two failing tests
        (see https://github.com/pandas-dev/pandas/issues/19774)
      - up_xlwt_optional to skip a test requiring xlwt
      - deb_ndsphinx_optional to make nbsphinx optional.
        Make nbsphinx not required in build-depends on systems with
        older python-sphinx
      - mark_tests_failing_on_386.patch
        see https://github.com/pandas-dev/pandas/issues/19814
    - removed adopted upstream:
  	  - dateutil-2.6.1-fixed-ambiguous-tz-dst-be.patch
      - up_tst_np_argsort_comparison2
    - disabled for now:
      - mark_tests_working_on_intel.patch
      - up_tst_dont_assert_that_a_bug_exists_in_numpy

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 21 Feb 2018 10:30:06 -0500

pandas (0.20.3-11) unstable; urgency=medium

  * Team upload.
  * Cherry-pick upstream commit 5f2b96bb637f6ddeec169c5ef8ad20013a03c853
    to workaround a numpy bug. (Closes: #884294)
    + patches/up_tst_dont_assert_that_a_bug_exists_in_numpy
  * Cherry-pick upstream commits to fix test failure caused by test_argsort().
    + patches/up_tst_np_argsort_comparison2
  * Workaround test failure of test_basic_indexing() in file
    pandas/tests/series/test_indexing.py .
    + patches/deb_fix_test_failure_test_basic_indexing

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 20 Jan 2018 09:00:31 +0000
