=== debian/tests/control ===
Tests: unittests
Depends: python-all,
         python-dateutil,
         python-matplotlib,
         python-nose,
         python-numpy,
         python-openpyxl,
         python-pandas,
         python-scipy,
         python-statsmodels,
         python-tables,
         python-tk,
         python-tz,
         python-xlrd,
         python-xlwt,
         python-bs4,
         python-html5lib,
         python-pytest,
         xauth,
         xvfb

Tests: unittests3
Depends: python3-all,
         python3-dateutil,
         python3-matplotlib,
         python3-nose,
         python3-numpy,
         python3-pandas,
         python3-scipy,
         python3-tk,
         python3-tz,
         python3-bs4,
         python3-pytest,
         xauth,
         xvfb
