## pandas 0.23.3

=== debian/changelog ===
pandas (0.23.3-1~nd18.04+1) bionic; urgency=medium

  [ Yaroslav Halchenko ]
  * New upstream release
  * debian/patches
    - many upstreamed patches are removed and others refreshed

  [ NeuroDebian Maintainers ]
  * Backported for bionic.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Wed, 18 Jul 2018 23:08:44 -0400

pandas (0.22.0-8) unstable; urgency=medium

  * Team Upload.
  * patches:
    + Add patch: deb_dont_call_py2_in_py3_test.patch
      During python3 unit test, command 'python' is called by one of
      the tests.  When there is no python2 installation, tests such as
      autopkgtest would fail.
    * Put the conditionally applied patch to series' comment to avoid
      lintianW: patch-file-present-but-not-mentioned-in-series.
  * Trying to fix the autopkgtest:
    + Leave a comment about the way to run unittest in the test control file.
    + Synchronize B-D and autopkgtest depends.
    + Allow output to stderr during test.
    * Switch from nosetest to pytest.
    * Synchronize pytest argument for rules and autopkgtest.
    - Replace tests/unittest with the symlink pointed to tests/unittest3.
      That scripts is smart enough to tell from py2 and py3, so we won't
      need to write the same thing twice.
    - Filter out intel tests on non-x86 architectures.
    - Only enable "slow" tests on (Debian + x86) tester. "slow" tests may
      consume too much memory to cause memory error or trigger OOM killer.
  * control:
    + Add missing python3 dependencies and sort the B-D list.
    * Point Vcs-* fields to Salsa.
    * Update Homepage to https://pandas.pydata.org/ .
  * rules:
    * Reverse the architecture filtering logic.
    * Disable "slow" tests during build for non-x86 architectures.
      This may significantly reduce the build time on those weak architectures.
    * Don't specify the pytest marker expression twice.
      The first expression will be overridden.
    * Fix hardening flags.
    - Cleanup the mess of unused nosetest exclusion expressions.
  * Update lintian overrides.
    + Override source-is-missing error, which is a false-positive triggered
      by insane-line-length-in-source-file.
    + Override insane-line-length-in-source-file because we have nothing
      todo with lenghy lines in html.
  * TODO: Point out that the unittest speed can be boosted with pytest-xdist.

 -- Mo Zhou <cdluminate@gmail.com>  Sun, 17 Jun 2018 16:01:16 +0000

pandas (0.22.0-7) unstable; urgency=medium

  * Team Upload.

  [ Mo Zhou ]
  * Remove patch: deb_fix_test_failure_test_basic_indexing, which is
    unneeded for pandas >= 0.21 . (Closes: #900061)

  [ Graham Inggs ]
  * Add riscv64 to the list of "not intel" architectures
  * Update mark_tests_working_on_intel_armhf.patch

 -- Graham Inggs <ginggs@debian.org>  Tue, 29 May 2018 13:50:59 +0000

pandas (0.22.0-6) unstable; urgency=medium

  * Team upload
  * Fix FTBFS with Sphinx 1.7, thanks Dmitry Shachnev!

 -- Graham Inggs <ginggs@debian.org>  Tue, 24 Apr 2018 19:09:20 +0000

pandas (0.22.0-5) unstable; urgency=medium

  * Team upload
  * Add compatibility with Matplotlib 2.2 (Closes: #896673)

 -- Graham Inggs <ginggs@debian.org>  Mon, 23 Apr 2018 13:56:12 +0000
