=== debian/control ===
--- 
+++ 
@@ -1,58 +1,70 @@
 Source: pandas
 Section: python
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
 Build-Depends: debhelper (>= 9),
+               quilt,
                python-all-dev (>= 2.5),
                python-setuptools,
                cython,
-               python-numpy (>= 1:1.7~), python-dateutil,
+               python-bs4,
+               python-dateutil,
+               python-html5lib,
+               python-lxml,
+               python-matplotlib [!hurd-i386],
+               python-nbsphinx | python-sphinx (<= 1.4),
+               python-nose,
+               python-numpy (>= 1:1.7~),
+               python-openpyxl,
+               python-pytest,
                python-scipy,
+               python-six,
+               python-sphinx (>= 1.0~),
+               python-tables [!m68k !sh4 !x32],
+               python-tk,
                python-tz,
-               python-tables [!m68k !sh4 !x32],
-               python-sphinx (>= 1.0~),
-               python-nbsphinx,
-               python-nose,
-               python-pytest,
-               python-matplotlib [!hurd-i386],
-               python-tk,
-               python-openpyxl, python-xlwt, python-xlrd,
-               python-bs4,
-               python-html5lib,
-               python-six,
-               python-lxml,
-               python-html5lib,
+               python-xlsxwriter,
+               python-xlrd,
+               python-xlwt,
                python3-all-dev,
                python3-setuptools,
                cython3 (>= 0.17.1~) | cython (<< 0.17.1~),
-               python3-numpy (>= 1:1.7~), python3-dateutil,
+               python3-bs4,
+               python3-dateutil,
+               python3-html5lib,
+               python3-lxml,
+               python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
+               python3-nose,
+               python3-numpy (>= 1:1.7~),
+               python3-openpyxl,
+               python3-pytest,
                python3-scipy,
+               python3-six,
+               python3-sphinx (>= 1.0~),
+               python3-tables [!m68k !sh4 !x32],
+               python3-tk,
                python3-tz,
-               python3-sphinx (>= 1.0~),
-               python3-nose,
-               python3-pytest,
-               python3-matplotlib [!hurd-i386]| python-matplotlib (<< 1.2.0~) [!hurd-i386],
-               python3-tk,
-               python3-bs4,
-               python3-six,
-               python3-lxml,
-               python3-html5lib,
-               python3-tables [!m68k !sh4 !x32],
-               xvfb, xauth, xclip,
+               python3-xlsxwriter,
+               python3-xlrd,
+               python3-xlwt,
+               xvfb,
+               xauth,
+               xclip,
 Build-Depends-Indep:
  ipython (>= 0.12) | ipython2x | ipython1x,
 Build-Conflicts: python-tables (= 3.3.0-4), python3-tables (= 3.3.0-4)
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
 Standards-Version: 4.1.1
-Homepage: http://pandas.sourceforge.net
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/pandas.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/pandas.git
+Homepage: https://pandas.pydata.org/
+Vcs-Browser: https://salsa.debian.org/science-team/pandas
+Vcs-Git: https://salsa.debian.org/science-team/pandas.git
 
 Package: python-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python:Depends},
          python-numpy (>= 1:1.7~),
          python-dateutil,
          python-pandas-lib(>= ${source:Version}),
@@ -94,7 +106,7 @@
 
 Package: python3-pandas
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${python3:Depends},
          python3-numpy (>= 1:1.7~),
          python3-dateutil,
          python3-pandas-lib(>= ${source:Version}),
@@ -133,7 +145,7 @@
 Package: python-pandas-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${misc:Depends},
          libjs-jquery,
          libjs-mathjax
 Suggests: python-pandas
@@ -143,7 +155,7 @@
 
 Package: python-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python-numpy (>= 1:1.7~)
 Provides: ${python:Provides}
 XB-Python-Version: ${python:Versions}
 Description: low-level implementations and bindings for pandas
@@ -154,7 +166,7 @@
 
 Package: python3-pandas-lib
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
+Depends: neurodebian-popularity-contest, ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}, python3-numpy (>=1:1.7~)
 Description: low-level implementations and bindings for pandas - Python 3
  This is an add-on package for python-pandas providing
  architecture-dependent extensions.
