=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,12 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-# Pass hardening flags into distutils
-CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
-export CFLAGS
+# Pass hardening flags into distutils, explicitly
+export CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
+export CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)
+export CXXFLAGS = $(shell dpkg-buildflags --get CXXFLAGS)
 
 PACKAGE2_NAME = python-pandas
 PACKAGE3_NAME = python3-pandas
@@ -24,27 +25,32 @@
 
 MIN_CYTHONVER = 0.23
 
-ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), arm64 armel armhf mips mips64el mipsel s390x alpha hppa powerpc ppc64))
-	# EXCLUDE_TESTS_ARCH := --exclude 'test(test_value_counts_normalized|test_resample_timedelta_values|test_resample_datetime_values|test_datetimelikes_nan|test_where_datetime|test_timestamp_compare|test_agg_dict_parameter_cast_result_dtypes|test_NaT_cast|test_where_datetime|test_where_timedelta)'
-	# unfortunately this leads to:
-	#	pytest.py: error: unrecognized arguments: --exclude
-	EXCLUDE_TESTS_ARCH := -m "not intel"
+# Filter out tests with "marker expressions" and "keyword expressions". Ref: pytest(1)
+ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), amd64 i386 kfreebsd-amd64 kfreebsd-i386 x32))
+	PYTEST_MARKER_ARCH :=
+	PYTEST_KEYWORD_ARCH :=
 else
-	EXCLUDE_TESTS_ARCH :=
+	PYTEST_MARKER_ARCH := and not intel and not slow
+	PYTEST_KEYWORD_ARCH :=
 endif
 
 # Some unittests might need to be excluded for different Python versions
-# EXCLUDE_TESTS := --exclude 'test_(bar_log|set_locale|constructor_compound_dtypes|invalid_index_types|searchsorted_sorter|sparse_max_row|msgpack|read_dta18|integer_panel|mixed_arithmetic|binary_ops|import_google_api_python_client|to_hdf_with_object_column_names)'
+PYTEST_MARKER := not single and not network and not disabled $(PYTEST_MARKER_ARCH)
 EXCLUDE_TESTS := 
 EXCLUDE_TESTS2 :=
 EXCLUDE_TESTS3.2 :=
-#--exclude "test_bootstrap_plot"
 EXCLUDE_TESTS3.3 := 
-# EXCLUDE_TESTS3.3 := --exclude 'test_(to_latex_filename|expressions)'
-
-#--exclude "test_(bootstrap_plot|quoting|cant_compare_tz_naive_w_aware|more_flexible_frame_multi_function|yahoo)"
 EXCLUDE_TESTS3.4 := $(EXCLUDE_TESTS3.3)
 EXCLUDE_TESTS3.5 := $(EXCLUDE_TESTS3.3)
+EXCLUDE_TESTS3.6 :=
+EXCLUDE_TESTS3.7 :=
+
+
+ADDPATCHES :=
+# testing for version became fragile: https://github.com/pytest-dev/pytest/issues/3692
+# PYTESTVER := $(shell python -c 'import pytest; print(pytest.__version__)')
+# and there is way too many uses of pytest.param now, so we can't just easily patch for it... THINK!
+# ADDPATCHES += $(shell dpkg --compare-versions $(PYTESTVER) ge 3.1.0 || echo "0001-TST-pytest-deprecation-warnings-GH17197-17253-reversed.patch" )
 
 # MPLVER := $(shell dpkg -l python-matplotlib | awk '/^ii/{print $$3;}' || echo 0)
 # $(shell dpkg --compare-versions $(MPLVER) lt 1.0 && echo '|test_hist|test_plot|test_boxplot|test_corr_rank' || echo '')
@@ -96,11 +102,19 @@
 	[ -e pandas/__version.py ] || \
       echo -e "version = '$(UVER_PY)'\nshort_version = '$(UVER_PYSHORT)'" > pandas/__version.py
 
-override_dh_auto_build: version_py
+override_dh_auto_build: version_py debian/patch-stamp
 	# Override default build operation which --force's re-cythonization
 	# on elderly ubuntus
 	# Just build the version.py file
 	:
+
+debian/patch-stamp:
+	if echo "${ADDPATCHES}" | sed -e 's,\s,,g' | grep  '.' ; then \
+       echo ${ADDPATCHES} >> debian/patches/series; \
+	   quilt push -a; \
+    fi
+	touch $@
+
 
 override_dh_auto_install: ${PYVERS:%=python-install%} ${PY3VERS:%=python-install%} ${PYVERS:%=python-test%} ${PY3VERS:%=python-test%}
 # Per Python version logic -- install, test, remomove .so (installed into -lib)
@@ -116,7 +130,7 @@
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
 	python$* ci/print_versions.py; \
     cd build/; LOCALE_OVERRIDE=C xvfb-run -a -s "-screen 0 1280x1024x24 -noreset" \
-      python$* -m pytest -s -v -m 'not single and not network and not disabled' $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) $(EXCLUDE_TESTS_ARCH) $$PYTHONPATH/pandas;
+      python$* -m pytest -s -v -m "$(PYTEST_MARKER)" $(EXCLUDE_TESTS) $(EXCLUDE_TESTS$*) $(EXCLUDE_TESTS_ARCH) $$PYTHONPATH/pandas;
 else
 	: # Skip unittests due to nocheck
 endif
@@ -130,7 +144,7 @@
 	: # not building documentation ATM since requires ipython 0.11
 	export PYTHONPATH=`/bin/ls -d $$PWD/$(PACKAGE2_ROOT_DIR)/usr/lib/python$(PYVER)/*`; \
 	export MPLCONFIGDIR=$(CURDIR)/build HOME=$(CURDIR)/build; \
-	 cd doc; python make.py html
+	 cd doc; LC_ALL=C python make.py html
 endif
 endif
 	: # Use jquery from Debian package, so prune shipped one
